---
schema-version: '1.1'
build:
  name: OpenSearch
  version: 2.19.4
  platform: linux
  architecture: x64
  distribution: tar
  location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/dist/opensearch/opensearch-2.19.4-linux-x64.tar.gz
  id: '11515'
components:
  - name: OpenSearch
    repository: https://github.com/opensearch-project/OpenSearch.git
    ref: '2.19'
    commit_id: e2e89961c9a327daf514a7ce1320a6189bfd08cd
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/dist/opensearch-min-2.19.4-linux-x64.tar.gz
  - name: common-utils
    repository: https://github.com/opensearch-project/common-utils.git
    ref: '2.19'
    commit_id: 5524cc08f10d5a642175308e1455fef990930ce8
  - name: opensearch-learning-to-rank-base
    repository: https://github.com/opensearch-project/opensearch-learning-to-rank-base.git
    ref: '2.19'
    commit_id: 7cba542c767928835081f4e06846bb886e50d534
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-ltr-2.19.4.0.zip
  - name: opensearch-remote-metadata-sdk
    repository: https://github.com/opensearch-project/opensearch-remote-metadata-sdk.git
    ref: '2.19'
    commit_id: 1ee385783dc81783155ac9619142ed879c527b57
  - name: job-scheduler
    repository: https://github.com/opensearch-project/job-scheduler.git
    ref: '2.19'
    commit_id: 02d3fb8f3e3a946fd4f5cf3d06c376c06e1e1617
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-job-scheduler-2.19.4.0.zip
  - name: security
    repository: https://github.com/opensearch-project/security.git
    ref: '2.19'
    commit_id: 112559cb58e4e26962cbd68f420a37b1a5560966
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-security-2.19.4.0.zip
  - name: k-NN
    repository: https://github.com/opensearch-project/k-NN.git
    ref: '2.19'
    commit_id: 7ff402db1716debb3512c9d8eaf2be86c6f9a709
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-knn-2.19.4.0.zip
  - name: geospatial
    repository: https://github.com/opensearch-project/geospatial.git
    ref: '2.19'
    commit_id: 226e53ec8369874999054d57d739d99ff0c638c8
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-geospatial-2.19.4.0.zip
  - name: cross-cluster-replication
    repository: https://github.com/opensearch-project/cross-cluster-replication.git
    ref: '2.19'
    commit_id: ba1723efb228abb19794af4923454f9b17244191
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-cross-cluster-replication-2.19.4.0.zip
  - name: ml-commons
    repository: https://github.com/opensearch-project/ml-commons.git
    ref: '2.19'
    commit_id: b752478e7867f0c01e792ea612734971d96a57fd
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-ml-2.19.4.0.zip
  - name: neural-search
    repository: https://github.com/opensearch-project/neural-search.git
    ref: '2.19'
    commit_id: 897285743b653cf43c9fbb911b034186f718d3c4
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-neural-search-2.19.4.0.zip
  - name: notifications-core
    repository: https://github.com/opensearch-project/notifications.git
    ref: '2.19'
    commit_id: 1cbc67238d264021775e31942940ede350b52c8c
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-notifications-core-2.19.4.0.zip
  - name: notifications
    repository: https://github.com/opensearch-project/notifications.git
    ref: '2.19'
    commit_id: 1cbc67238d264021775e31942940ede350b52c8c
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-notifications-2.19.4.0.zip
  - name: opensearch-observability
    repository: https://github.com/opensearch-project/observability.git
    ref: '2.19'
    commit_id: 4d737d4b862dbb14098493c6192e564b3bc0b4ee
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-observability-2.19.4.0.zip
  - name: opensearch-reports
    repository: https://github.com/opensearch-project/reporting.git
    ref: '2.19'
    commit_id: d41d2e0f21953ec7ea275184a189fcbc8abfe0bf
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-reports-scheduler-2.19.4.0.zip
  - name: sql
    repository: https://github.com/opensearch-project/sql.git
    ref: '2.19'
    commit_id: 2d6541999f31448a72f386917bde21aa1584c9e3
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-sql-2.19.4.0.zip
  - name: asynchronous-search
    repository: https://github.com/opensearch-project/asynchronous-search.git
    ref: '2.19'
    commit_id: 457ad30c53bbbed427d9d3d8f173b7b599237b35
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-asynchronous-search-2.19.4.0.zip
  - name: anomaly-detection
    repository: https://github.com/opensearch-project/anomaly-detection.git
    ref: '2.19'
    commit_id: 4f8094b45ae662c65769fcd4c6b69e7f10a84177
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-anomaly-detection-2.19.4.0.zip
  - name: alerting
    repository: https://github.com/opensearch-project/alerting.git
    ref: '2.19'
    commit_id: 392efb678447b448a62b06d8123d15a096961a7c
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-alerting-2.19.4.0.zip
  - name: security-analytics
    repository: https://github.com/opensearch-project/security-analytics.git
    ref: '2.19'
    commit_id: 54679095c639b5059d7b4b70d18a22314eda87c7
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-security-analytics-2.19.4.0.zip
  - name: index-management
    repository: https://github.com/opensearch-project/index-management.git
    ref: '2.19'
    commit_id: 1f9712b827cbe3c522b75d8f36838237cf1f3345
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-index-management-2.19.4.0.zip
  - name: performance-analyzer
    repository: https://github.com/opensearch-project/performance-analyzer.git
    ref: '2.19'
    commit_id: abb70266aa0c274939467f9405489cf926f52af2
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-performance-analyzer-2.19.4.0.zip
  - name: custom-codecs
    repository: https://github.com/opensearch-project/custom-codecs.git
    ref: '2.19'
    commit_id: b9f7a5dee960ada9733ba0733c61fb89bc7c0a5a
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-custom-codecs-2.19.4.0.zip
  - name: flow-framework
    repository: https://github.com/opensearch-project/flow-framework.git
    ref: '2.19'
    commit_id: b9f6c5c3e8530f4b5819a98a307b0fa4d8756474
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-flow-framework-2.19.4.0.zip
  - name: skills
    repository: https://github.com/opensearch-project/skills.git
    ref: '2.19'
    commit_id: 5fe2b0676a5afa26fa51fcfc946009b611c5dc4b
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-skills-2.19.4.0.zip
  - name: query-insights
    repository: https://github.com/opensearch-project/query-insights.git
    ref: '2.19'
    commit_id: c7c42d1328df9959b548be52b3baaeb0194b3a9c
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/query-insights-2.19.4.0.zip
  - name: opensearch-system-templates
    repository: https://github.com/opensearch-project/opensearch-system-templates.git
    ref: '2.19'
    commit_id: fe609f72042cb199855a46625991aed66339c8b9
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/tar/builds/opensearch/plugins/opensearch-system-templates-2.19.4.0.zip
